<?php
define('SHCMS', true);
if($_GET['id']){$id_list = $_GET['id'];}
include_once'../system/inc/basic_settings.php';
$users_bans = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$id_list'"));
$shcmsengine['title'] = 'Забанить пользователя '.$users_bans['login'].'';
include_once'../template/head.php';
registrat();
$adminka ->admin();

$user4 = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$user_id'"));
if($user4['team'] < 6)
{
echo 'Ошибка';
header('Refresh: 1; url=/index.php?'.$conservation.'&');
	include_once'../template/foot.php';
exit();
}
include_once'secu.php';
if(!$id_list)
{echo '<div class="errors">Нет данных о пользователе</div>';
include_once'../template/foot.php';
exit();}
if($id_list == $user_id)
{echo '<div class="errors">Вы не можете банить самого себя</div>';
include_once'../template/foot.php';
exit();}

$nar = mysql_result(mysql_query("SELECT COUNT(*) FROM `ban_users` WHERE `user_id`='$id_list'"),0);

if(isset($_POST['submit']))
{
$prichina = $_POST['prichina'];
$text_bana = $_POST['text'];
$locked = intval($_POST['locked']) + time();
$mysql_z = mysql_query("INSERT INTO `ban_users` (user_id,id_admin,time_1,time_2,prichina,text) VALUES ('$id_list','$user_id','".$locked."','".$time_date."','".$prichina."','".$text_bana."')");

if($mysql_z == true)
{echo '<div class="actshcms">Пользователь успешно забанен</div>';
header("Refresh: 1; url=/admin_list/");
include_once'../template/foot.php';
exit();}
}

echo '<div class="posts"><b>Забанить:</b> <a href="'.DIR_SHCMS.'change_view.php?id='.$users_bans['id'].'">'.$users_bans['login'].'</a>
<br/> <a href="ban_p.php?id='.$users_bans['id'].'">Всего нарушений у пользователя: '.$nar.'</a></div>';
echo '<form action="?id='.$id.'" method="post" name="form">';
echo 'Нарушение<br/><select name="prichina">
<option value="Спам,Реклама">Спам,Реклама</option>
<option value="Неуважение администрации">Неуважение администрации</option>
<option value="Мат">Мат</option>
<option value="Клонирование ников">Клонирование ников</option>
</select><br/>';
echo 'Срок бана<br/><select name="locked">
<option value="900">15 минут</option>
<option value="1800">30 минут</option>
<option value="3600">1 час</option>
<option value="10800">3 часа</option>
<option value="21600">6 часов</option>
<option value="43200">12 часов</option>
<option value="86400">1 день</option>
<option value="259200">3 дня</option>
<option value="604800">7 дней</option>
<option value="2419200">1 месяц</option>
</select><br/><strong>Текст комментария:</strong><br/>';
if($brodilka == "web")
{
	   echo '<div class="border">';
                    $text_list->text_lister();
}
echo '<textarea name="text"></textarea><br/>';
  $form->textarea();
include_once'../template/foot.php';
?>